# RecursiveCallbackFilterIterator::__construct

(PHP 5 >= 5.4.0, PHP 7)

RecursiveCallbackFilterIterator::__construct — Create a RecursiveCallbackFilterIterator from a RecursiveIterator

### Description

public RecursiveCallbackFilterIterator::__construct ( RecursiveIterator `$iterator` , string `$callback` )

Creates a filtered iterator from a RecursiveIterator using the `callback` to determine which items are accepted or rejected.

### Parameters

`iterator`

  The recursive iterator to be filtered.

`callback`

  The callback, which should return `TRUE` to accept the current item or `FALSE` otherwise. See Examples.

  May be any valid callable value.

### Return Values

No value is returned.

### See Also

- RecursiveCallbackFilterIterator Examples
- RecursiveCallbackFilterIterator::getChildren() - Return the inner iterator's children contained in a RecursiveCallbackFilterIterator
- RecursiveCallbackFilteriterator::hasChildren() - Check whether the inner iterator's current element has children